camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrea Cosentino (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CAMEL-10278) Incompatible versions of qpid in camel-amqp karaf feature
Date Wed, 31 Aug 2016 09:56:20 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-10278?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrea Cosentino resolved CAMEL-10278.
--------------------------------------
    Resolution: Fixed

> Incompatible versions of qpid in camel-amqp karaf feature
> ---------------------------------------------------------
>
>                 Key: CAMEL-10278
>                 URL: https://issues.apache.org/jira/browse/CAMEL-10278
>             Project: Camel
>          Issue Type: Bug
>          Components: karaf
>    Affects Versions: 2.17.0
>            Reporter: Jakub Knetl
>            Assignee: Andrea Cosentino
>            Priority: Minor
>             Fix For: 2.17.4
>
>
> There are incompatible versions of qpid-jms-client and proton-j in camel-amqp feature.
The qpid-jms-client 0.8.0 is dependent on proton-j 0.12.0 but there is proton-j 0.10 in the
feature. This makes amqp over qpid-jms-client unusable since AmqpProvider calls method setEmitFlowEventOnSend
on proton-j object which turns out in NoSuchMethodException in the AmqpProvider and the provider
fails.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message